Bug 258161 - Use-after-free bug in fenced
Summary: Use-after-free bug in fenced
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: fence   
(Show other bugs)
Version: 4
Hardware: All
OS: All
medium
low
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-27 21:12 UTC by Lon Hohberger
Modified: 2009-04-16 20:12 UTC (History)
4 users (show)

Fixed In Version: RHBA-2007-0996
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-21 21:54:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0996 normal SHIPPED_LIVE fence bug fix update 2007-11-29 14:47:20 UTC

Description Lon Hohberger 2007-08-27 21:12:13 UTC
+++ This bug was initially created as a clone of Bug #258141 +++

Description of problem:

                if (!error) {
                        list_del(&node->list);
                        free(node);
                        /* XXXXXXXXXX There should be a continue here */
                }

                if (!comline.override_path) {
                        sleep(5);
                        continue;
                }

                /* Check for manual intervention */
                override = open_override(comline.override_path);

                if (check_override(override, node->name, 5) > 0) {
                        syslog(LOG_WARNING, "fence \"%s\" overridden by "
                               "administrator intervention", node->name);

                        list_del(&node->list);
                        free(node);
                }
                close_override(&override, comline.override_path);
        }

Version          : 5.1 beta
Reproducibility  : 100%
Actual results   : Use-after-free could potentially cause a crash in fenced
Expected results : No crash
Additional info  : Unclear whether this has caused actual problems.

-- Additional comment from lhh@redhat.com on 2007-08-27 17:10 EST --
Created an attachment (id=174421)
Fix - 1line

Comment 2 Jim Parsons 2007-09-12 20:23:59 UTC
Applied.

Comment 5 errata-xmlrpc 2007-11-21 21:54:44 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0996.html



Note You need to log in before you can comment on or make changes to this bug.